For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList conversations
          • GETGet conversation details
          • DELDelete conversation
          • GETGet conversation audio
          • GETGet signed URL
          • GETGet conversation token
          • POSTSend conversation feedback
          • POSTUpload conversation file
          • DELDelete conversation file
          • GETGet SIP messages for a conversation
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceConversations

Get conversation details

GET
/v1/convai/conversations/:conversation_id
GET
/v1/convai/conversations/:conversation_id
$curl https://api.elevenlabs.io/v1/convai/conversations/123 \
> -H "xi-api-key: xi-api-key"
1{
2 "agent_id": "123",
3 "status": "processing",
4 "metadata": {
5 "start_time_unix_secs": 1714423232,
6 "call_duration_secs": 10
7 },
8 "conversation_id": "123",
9 "has_audio": true,
10 "has_user_audio": true,
11 "has_response_audio": true,
12 "transcript": [
13 {
14 "role": "user",
15 "time_in_call_secs": 10,
16 "message": "Hello, how are you?"
17 }
18 ]
19}
Get the details of a particular conversation
Was this page helpful?
Previous

Delete conversation

Next
Built with

Path parameters

conversation_idstringRequired
The id of the conversation you're taking the action on.

Headers

xi-api-keystringOptional

Query parameters

formatenumOptionalDefaults to json

Response format. Defaults to ‘json’. Set to ‘opentelemetry’ for an OTLP-compatible trace payload using the same structure as the post-call webhook.

Allowed values:

Response

Successful Response
agent_idstring
statusenum
Allowed values:
metadataobject
conversation_idstring
has_audioboolean
has_user_audioboolean
has_response_audioboolean
transcriptlist of objects
agent_namestring or null
user_idstring or null
branch_idstring or null
version_idstring or null
The ID of the agent version used for this conversation
analysisobject or null
visited_agentslist of objects
conversation_initiation_client_dataobject
environmentstringDefaults to production
tag_idslist of strings
Conversation tag ids assigned to this conversation.
otlp_tracesmap from strings to any or null

OpenTelemetry trace payload when the request uses format=opentelemetry; otherwise omitted.

Errors

422
Unprocessable Entity Error